### Function

# EBook Destination import

#### Declaration [src]

    EDestination*
    e_destination_import (
      const gchar* str
    )

#### Description [src]

Creates an `EDestination` from an XML document.

#### Parameters

`str`

  Type: `const gchar*`

  An XML string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EDestination`

An `EDestination`, or `NULL` if the document was not well-formed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.